
package com.ejie.ab63.clientesWS.ab61WebService;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab63.clientesWS.ab61WebService
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	private final static QName _ModificarDocumento_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"modificarDocumento");
	private final static QName _DescargarDocumentoResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"descargarDocumentoResponse");
	private final static QName _EliminarDocumento_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"eliminarDocumento");
	private final static QName _GenerarDocumento_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"generarDocumento");
	private final static QName _AportarDocumentoResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"aportarDocumentoResponse");
	private final static QName _GenerarInicioOficioResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"generarInicioOficioResponse");
	private final static QName _DescargarDocumento_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"descargarDocumento");
	private final static QName _Ab61Exception_QNAME = new QName("http://ab61.exe.webservice/", "Ab61Exception");
	private final static QName _GenerarExcelListadosResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"generarExcelListadosResponse");
	private final static QName _GenerarDocumentoResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"generarDocumentoResponse");
	private final static QName _GenerarInicioOficio_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"generarInicioOficio");
	private final static QName _AportarDocumento_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"aportarDocumento");
	private final static QName _ModificarDocumentoResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"modificarDocumentoResponse");
	private final static QName _GenerarExcelListados_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"generarExcelListados");
	private final static QName _EliminarDocumentoResponse_QNAME = new QName("http://com.ejie.ab61.serviciosWeb",
			"eliminarDocumentoResponse");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package:
	 * com.ejie.ab63.clientesWS.ab61WebService
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link Ab61ExceptionGeneral }
	 * 
	 */
	public Ab61ExceptionGeneral createAb61ExceptionGeneral() {
		return new Ab61ExceptionGeneral();
	}

	/**
	 * Create an instance of {@link GenerarInicioOficioResponse }
	 * 
	 */
	public GenerarInicioOficioResponse createGenerarInicioOficioResponse() {
		return new GenerarInicioOficioResponse();
	}

	/**
	 * Create an instance of {@link AportarDocumentoResponse }
	 * 
	 */
	public AportarDocumentoResponse createAportarDocumentoResponse() {
		return new AportarDocumentoResponse();
	}

	/**
	 * Create an instance of {@link DescargarDocumentoResponse }
	 * 
	 */
	public DescargarDocumentoResponse createDescargarDocumentoResponse() {
		return new DescargarDocumentoResponse();
	}

	/**
	 * Create an instance of {@link EliminarDocumento }
	 * 
	 */
	public EliminarDocumento createEliminarDocumento() {
		return new EliminarDocumento();
	}

	/**
	 * Create an instance of {@link GenerarDocumento }
	 * 
	 */
	public GenerarDocumento createGenerarDocumento() {
		return new GenerarDocumento();
	}

	/**
	 * Create an instance of {@link ModificarDocumento }
	 * 
	 */
	public ModificarDocumento createModificarDocumento() {
		return new ModificarDocumento();
	}

	/**
	 * Create an instance of {@link GenerarExcelListados }
	 * 
	 */
	public GenerarExcelListados createGenerarExcelListados() {
		return new GenerarExcelListados();
	}

	/**
	 * Create an instance of {@link ModificarDocumentoResponse }
	 * 
	 */
	public ModificarDocumentoResponse createModificarDocumentoResponse() {
		return new ModificarDocumentoResponse();
	}

	/**
	 * Create an instance of {@link EliminarDocumentoResponse }
	 * 
	 */
	public EliminarDocumentoResponse createEliminarDocumentoResponse() {
		return new EliminarDocumentoResponse();
	}

	/**
	 * Create an instance of {@link GenerarInicioOficio }
	 * 
	 */
	public GenerarInicioOficio createGenerarInicioOficio() {
		return new GenerarInicioOficio();
	}

	/**
	 * Create an instance of {@link AportarDocumento }
	 * 
	 */
	public AportarDocumento createAportarDocumento() {
		return new AportarDocumento();
	}

	/**
	 * Create an instance of {@link GenerarExcelListadosResponse }
	 * 
	 */
	public GenerarExcelListadosResponse createGenerarExcelListadosResponse() {
		return new GenerarExcelListadosResponse();
	}

	/**
	 * Create an instance of {@link GenerarDocumentoResponse }
	 * 
	 */
	public GenerarDocumentoResponse createGenerarDocumentoResponse() {
		return new GenerarDocumentoResponse();
	}

	/**
	 * Create an instance of {@link DescargarDocumento }
	 * 
	 */
	public DescargarDocumento createDescargarDocumento() {
		return new DescargarDocumento();
	}

	/**
	 * Create an instance of {@link DatosInicioOficio }
	 * 
	 */
	public DatosInicioOficio createDatosInicioOficio() {
		return new DatosInicioOficio();
	}

	/**
	 * Create an instance of {@link EmisorInicioOficio }
	 * 
	 */
	public EmisorInicioOficio createEmisorInicioOficio() {
		return new EmisorInicioOficio();
	}

	/**
	 * Create an instance of {@link BusquedasWS }
	 * 
	 */
	public BusquedasWS createBusquedasWS() {
		return new BusquedasWS();
	}

	/**
	 * Create an instance of {@link InicioOficioWS }
	 * 
	 */
	public InicioOficioWS createInicioOficioWS() {
		return new InicioOficioWS();
	}

	/**
	 * Create an instance of {@link ParametrosWS }
	 * 
	 */
	public ParametrosWS createParametrosWS() {
		return new ParametrosWS();
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link ModificarDocumento }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "modificarDocumento")
	public JAXBElement<ModificarDocumento> createModificarDocumento(ModificarDocumento value) {
		return new JAXBElement<ModificarDocumento>(_ModificarDocumento_QNAME, ModificarDocumento.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link DescargarDocumentoResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "descargarDocumentoResponse")
	public JAXBElement<DescargarDocumentoResponse> createDescargarDocumentoResponse(DescargarDocumentoResponse value) {
		return new JAXBElement<DescargarDocumentoResponse>(_DescargarDocumentoResponse_QNAME,
				DescargarDocumentoResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link EliminarDocumento }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "eliminarDocumento")
	public JAXBElement<EliminarDocumento> createEliminarDocumento(EliminarDocumento value) {
		return new JAXBElement<EliminarDocumento>(_EliminarDocumento_QNAME, EliminarDocumento.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link GenerarDocumento }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "generarDocumento")
	public JAXBElement<GenerarDocumento> createGenerarDocumento(GenerarDocumento value) {
		return new JAXBElement<GenerarDocumento>(_GenerarDocumento_QNAME, GenerarDocumento.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link AportarDocumentoResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "aportarDocumentoResponse")
	public JAXBElement<AportarDocumentoResponse> createAportarDocumentoResponse(AportarDocumentoResponse value) {
		return new JAXBElement<AportarDocumentoResponse>(_AportarDocumentoResponse_QNAME,
				AportarDocumentoResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link GenerarInicioOficioResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "generarInicioOficioResponse")
	public JAXBElement<GenerarInicioOficioResponse> createGenerarInicioOficioResponse(
			GenerarInicioOficioResponse value) {
		return new JAXBElement<GenerarInicioOficioResponse>(_GenerarInicioOficioResponse_QNAME,
				GenerarInicioOficioResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link DescargarDocumento }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "descargarDocumento")
	public JAXBElement<DescargarDocumento> createDescargarDocumento(DescargarDocumento value) {
		return new JAXBElement<DescargarDocumento>(_DescargarDocumento_QNAME, DescargarDocumento.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link Ab61ExceptionGeneral }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://ab61.exe.webservice/", name = "Ab61Exception")
	public JAXBElement<Ab61ExceptionGeneral> createAb61Exception(Ab61ExceptionGeneral value) {
		return new JAXBElement<Ab61ExceptionGeneral>(_Ab61Exception_QNAME, Ab61ExceptionGeneral.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link GenerarExcelListadosResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "generarExcelListadosResponse")
	public JAXBElement<GenerarExcelListadosResponse> createGenerarExcelListadosResponse(
			GenerarExcelListadosResponse value) {
		return new JAXBElement<GenerarExcelListadosResponse>(_GenerarExcelListadosResponse_QNAME,
				GenerarExcelListadosResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link GenerarDocumentoResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "generarDocumentoResponse")
	public JAXBElement<GenerarDocumentoResponse> createGenerarDocumentoResponse(GenerarDocumentoResponse value) {
		return new JAXBElement<GenerarDocumentoResponse>(_GenerarDocumentoResponse_QNAME,
				GenerarDocumentoResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link GenerarInicioOficio }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "generarInicioOficio")
	public JAXBElement<GenerarInicioOficio> createGenerarInicioOficio(GenerarInicioOficio value) {
		return new JAXBElement<GenerarInicioOficio>(_GenerarInicioOficio_QNAME, GenerarInicioOficio.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link AportarDocumento }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "aportarDocumento")
	public JAXBElement<AportarDocumento> createAportarDocumento(AportarDocumento value) {
		return new JAXBElement<AportarDocumento>(_AportarDocumento_QNAME, AportarDocumento.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link ModificarDocumentoResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "modificarDocumentoResponse")
	public JAXBElement<ModificarDocumentoResponse> createModificarDocumentoResponse(ModificarDocumentoResponse value) {
		return new JAXBElement<ModificarDocumentoResponse>(_ModificarDocumentoResponse_QNAME,
				ModificarDocumentoResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link GenerarExcelListados }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "generarExcelListados")
	public JAXBElement<GenerarExcelListados> createGenerarExcelListados(GenerarExcelListados value) {
		return new JAXBElement<GenerarExcelListados>(_GenerarExcelListados_QNAME, GenerarExcelListados.class, null,
				value);
	}

	/**
	 * Create an instance of {@link JAXBElement
	 * }{@code <}{@link EliminarDocumentoResponse }{@code >}}
	 * 
	 */
	@XmlElementDecl(namespace = "http://com.ejie.ab61.serviciosWeb", name = "eliminarDocumentoResponse")
	public JAXBElement<EliminarDocumentoResponse> createEliminarDocumentoResponse(EliminarDocumentoResponse value) {
		return new JAXBElement<EliminarDocumentoResponse>(_EliminarDocumentoResponse_QNAME,
				EliminarDocumentoResponse.class, null, value);
	}

}
